### Hierarchy

- ProfileController

## Index

### Properties

- $element_
- $filter_
- $http_
- $scope_
- active
- currentPoint
- getMapFn
- getOptionsFn
- gettextCatalog_
- gmfProfileJsonUrl_
- isErrored
- isLoading
- layersNames_
- line
- map_
- measureTooltipElement_
- measureTooltip_
- nbPoints_
- ngeoCsvDownload_
- ngeoOptions
- options
- pointHoverOverlay_
- pointerMoveKey_
- profileData
- profileHighlight
- profileLabels_
- profileOptions
- snappedPoint_

### Methods

- $onInit
- createMeasureTooltip_
- downloadCsv
- getDist_
- getDistanceOnALine_
- getJsonProfile_
- getLayersNames
- getProfileDataError_
- getProfileDataSuccess_
- getStyle
- getTooltipHTML_
- getZFactory_
- hoverCallback_
- outCallback_
- removeMeasureTooltip_
- updateEventsListening_
- update_

## Properties

### $element_

$element_: JQuery<HTMLElement>

- Defined in src/profile/component.js:205

### $filter_

$filter_: IFilterService

- Defined in src/profile/component.js:210

### $http_

$http_: IHttpService

- Defined in src/profile/component.js:200

### $scope_

$scope_: IScope

- Defined in src/profile/component.js:195

### active

active: boolean

- Defined in src/profile/component.js:307

### currentPoint

currentPoint: ProfileHoverPointInformations

- Defined in src/profile/component.js:260

### getMapFn

getMapFn: () => Map

- Defined in src/profile/component.js:327

#### Type declaration

- - (): Map

  - #### Returns Map

### getOptionsFn

getOptionsFn: () => {}

- Defined in src/profile/component.js:328

#### Type declaration

- - (): {}

  - #### Returns {}

### gettextCatalog_

gettextCatalog_: gettextCatalog

- Defined in src/profile/component.js:215

### gmfProfileJsonUrl_

gmfProfileJsonUrl_: string

- Defined in src/profile/component.js:225

### isErrored

isErrored: boolean

- Defined in src/profile/component.js:317

### isLoading

isLoading: boolean

- Defined in src/profile/component.js:322

### layersNames_

layersNames_: string[]

- Defined in src/profile/component.js:240

### line

line: LineString

- Defined in src/profile/component.js:250

### map_

map_: Map

- Defined in src/profile/component.js:235

### measureTooltipElement_

measureTooltipElement_: HTMLElement

- Defined in src/profile/component.js:283

The measure tooltip element.

### measureTooltip_

measureTooltip_: Overlay

- Defined in src/profile/component.js:276

Overlay to show the measurement.

### nbPoints_

nbPoints_: number

- Defined in src/profile/component.js:245

### ngeoCsvDownload_

ngeoCsvDownload_: DownloadCsvService

- Defined in src/profile/component.js:230

### ngeoOptions

ngeoOptions: ngeoProfileOptions

- Defined in src/profile/component.js:190

### options

options: any

- Defined in src/profile/component.js:189

### pointHoverOverlay_

pointHoverOverlay_: FeatureOverlay

- Defined in src/profile/component.js:220

### pointerMoveKey_

pointerMoveKey_: EventsKey

- Defined in src/profile/component.js:312

### profileData

profileData: ProfileElement[]

- Defined in src/profile/component.js:255

### profileHighlight

profileHighlight: number

- Defined in src/profile/component.js:269

Distance to highlight on the profile. (Property used in ngeo.Profile.)

### profileLabels_

profileLabels_: I18n

- Defined in src/profile/component.js:294

### profileOptions

profileOptions: ProfileOptions<ProfileElement>

- Defined in src/profile/component.js:302

### snappedPoint_

snappedPoint_: Feature<Geometry>

- Defined in src/profile/component.js:288

## Methods

### $onInit

- $onInit(): void

- - Defined in src/profile/component.js:356

  Init the controller

  #### Returns void

### createMeasureTooltip_

- createMeasureTooltip_(): void

- - Defined in src/profile/component.js:549

  Creates a new 'hover' tooltip

  #### Returns void

### downloadCsv

- downloadCsv(): void

- - Defined in src/profile/component.js:698

  Request the csv profile with the current profile data.

  #### Returns void

### getDist_

- getDist_(item: ProfileElement): number

- - Defined in src/profile/component.js:636

  Extractor for the 'dist' value in profileData.

  #### Parameters

  - ##### item: ProfileElement

    The item.

  #### Returns number

  The distance.

### getDistanceOnALine_

- getDistanceOnALine_(pointOnLine: Coordinate): number

- - Defined in src/profile/component.js:453

  Return the distance between the beginning of the line and the given point. The point must be on the line. If not, this function will return the total length of the line.

  #### Parameters

  - ##### pointOnLine: Coordinate

    A point on the given line.

  #### Returns number

  A distance.

### getJsonProfile_

- getJsonProfile_(): void

- - Defined in src/profile/component.js:646

  Request the profile.

  #### Returns void

### getLayersNames

- getLayersNames(): string[]

- - Defined in src/profile/component.js:605

  Return a copy of the existing layer names.

  #### Returns string[]

  The names of layers.

### getProfileDataError_

- getProfileDataError_(resp: IHttpResponse<never>): void

- - Defined in src/profile/component.js:689

  #### Parameters

  - ##### resp: IHttpResponse<never>

    Response.

  #### Returns void

### getProfileDataSuccess_

- getProfileDataSuccess_(resp: IHttpResponse<ProfileServiceResult>): void

- - Defined in src/profile/component.js:678

  #### Parameters

  - ##### resp: IHttpResponse<ProfileServiceResult>

    Response.

  #### Returns void

### getStyle

- getStyle(layerName: string): object

- - Defined in src/profile/component.js:590

  Return the styler value of a ProfileLineConfiguration.

  #### Parameters

  - ##### layerName: string

    name of the elevation layer.

  #### Returns object

  The object representation of the style.

### getTooltipHTML_

- getTooltipHTML_(): string

- - Defined in src/profile/component.js:525

  #### Returns string

  A text formatted to a tooltip.

### getZFactory_

- getZFactory_(layerName: string): (arg0: ProfileElement) => number

- - Defined in src/profile/component.js:613

  #### Parameters

  - ##### layerName: string

    name of the elevation layer.

  #### Returns (arg0: ProfileElement) => number

  Z extractor function.

  - - (arg0: ProfileElement): number

    - #### Parameters

      - ##### arg0: ProfileElement

      #### Returns number

### hoverCallback_

- hoverCallback_(pointObject: unknown, dist: number, xUnits: string, elevationsRef: Object, yUnits: string): void

- - Defined in src/profile/component.js:490

  #### Parameters

  - ##### pointObject: unknown

    Point.

  - ##### dist: number

    distance on the line.

  - ##### xUnits: string

    X units label.

  - ##### elevationsRef: Object

    Elevations references.

  - ##### yUnits: string

    Y units label.

  #### Returns void

### outCallback_

- outCallback_(): void

- - Defined in src/profile/component.js:509

  #### Returns void

### removeMeasureTooltip_

- removeMeasureTooltip_(): void

- - Defined in src/profile/component.js:567

  Destroy the 'hover' tooltip

  #### Returns void

### updateEventsListening_

- updateEventsListening_(): void

- - Defined in src/profile/component.js:403

  #### Returns void

### update_

- update_(): void

- - Defined in src/profile/component.js:392

  #### Returns void

Generated using TypeDoc